Bug Hunting Session
Bug 117343 - FILEOPEN DOCX: On opening an existing or recent listed docx-document in Writer, the paragraph styles (in the styles side-tab) don't take the system theme.
Summary: FILEOPEN DOCX: On opening an existing or recent listed docx-document in Write...
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.3.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:docx
Depends on:
Blocks: DOCX-Styles
  Show dependency treegraph
 
Reported: 2018-04-30 04:39 UTC by Mark Coetsee
Modified: 2019-05-25 02:58 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshots (14.83 MB, application/zip)
2018-06-07 17:54 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Coetsee 2018-04-30 04:39:52 UTC
Description:
Ubuntu Mate 18.04 LTS. On opening an existing or "recent" Writer document, the Paragraph Styles (in the styles side tab) don't take the system theme (In my case black regular text appears instead of white bold text. The other Styles are not affected. Only on opening Writer - to create a new document or to open a document using: file --> open does it work properly.
Version: 6.0.3.2
Build ID: 1:6.0.3-0ubuntu1
CPU threads: 6; OS: Linux 4.15; UI render: default; VCL: gtk3.

Actual Results:  
On opening an existing or "recent" Writer document, the Paragraph Styles (in the styles side tab) don't take the system theme (In my case black regular text appears instead of white bold text. The other Styles are not affected. Only on opening Writer - to create a new document or to open a document using: file --> open does it work properly.

Expected Results:
On opening an existing or "recent" Writer document, the Paragraph Styles (in the styles side tab) don't take the system theme (In my case black regular text appears instead of white bold text. The other Styles are not affected. Only on opening Writer - to create a new document or to open a document using: file --> open does it work properly.


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:59.0) Gecko/20100101 Firefox/59.0
Comment 1 Xisco Faulí 2018-05-02 10:36:36 UTC
Could you please share a screenshot of the problem? OTOH, which theme are you using?

I have set the bug's status to 'NEEDINFO'. Please change it back to
'UNCONFIRMED' once the questions have been answered
Comment 2 Mark Coetsee 2018-05-02 16:22:49 UTC
This is a link to my Google Drive to a .tar.gz archive containing five .png screenshots: : https://drive.google.com/open?id=1LChDpC2aHVGYec6gMl-0X52MpghULhli

1.png shows a new document (Writer just opened), with paragraph styles displaying correctly;

2.png shows an existing saved document, with paragraph styles displaying incorrectly;

3.png shows the same existing saved document, with character styles (for example) displaying correctly. The problem, such as it is, lies only with paragraph styles (as far as I've noticed...)

What is really interesting is that if another instance of Writer is also open, with a 'new' document (and paragraph styles displaying correctly), clicking in the new window causes the paragraph styles in the first window (with the existing document open) to immediately display correctly - and clicking on the first instance of Writer (the existing saved document) causes the  second instance of Writer to immediately display paragraph styles incorrectly... as per 4.png and 5.png.

NB - I'VE JUST NOTICED THAT WRITER WORKS CORRECTLY WITH .ODT DOCUMENTS, MY PROBLEMS WERE WITH .DOCX DOCUMENTS...
Comment 3 Mark Coetsee 2018-05-02 16:25:36 UTC
I'm using Ambient-Mate-Dark, but the bug presents with other themes too..
Comment 4 Dieter Praas 2018-05-02 18:16:45 UTC
(In reply to Mark Coetsee from comment #2)
> NB - I'VE JUST NOTICED THAT WRITER WORKS CORRECTLY WITH .ODT DOCUMENTS, MY
> PROBLEMS WERE WITH .DOCX DOCUMENTS...

I changed the bug summary to make this more clearly.
Comment 5 Buovjaga 2018-06-07 17:54:57 UTC
Created attachment 142594 [details]
Screenshots

I compressed the pngs and they went from 40MB to 15MB
Comment 6 Xisco Faulí 2018-07-09 15:43:18 UTC
Hi Mark,
So, does it happen with any .DOCX file or just with some ?

OTOH, Could you please try to reproduce it with the latest version of LibreOffice
from https://www.libreoffice.org/download/libreoffice-fresh/ ?
I have set the bug's status to 'NEEDINFO'. Please change it back to
'UNCONFIRMED' if the bug is still present in the latest version.
Comment 7 Mark Coetsee 2018-07-09 16:11:45 UTC
In the interim I've upgraded to the latest version of writer:

Version: 6.0.5.2
Build ID: 1:6.0.5~rc2-0ubuntu0.18.04.1~lo1
CPU threads: 6; OS: Linux 4.15; UI render: default; VCL: gtk3;
Locale: en-ZA (en_ZA.UTF-8); Calc: CL

I have just had a look and I can confirm that there appears to be no problem with documents created with this version of writer, but this version of writer shows the same problem when opening (as I just did) a .docx file created with earlier versions of writer.

I have only ever used .odt files and ms-office 2007 - 2013 XML .docx files, so I can't express an opinion regarding other file formats.

Looks like the bug has been fixed or does not otherwise occur in respect of files created with the latest version of writer, but persists in respect of files created with earlier versions of writer.

I have accordingly changed the status of this bug (if bug it is) to unconfirmed, as requested.
Comment 8 Xisco Faulí 2018-07-09 16:20:15 UTC
Could you please attach on of those documents ?
Comment 9 Xisco Faulí 2018-08-10 11:20:15 UTC
(In reply to Xisco Faulí from comment #8)
> Could you please attach on of those documents ?

Setting to NEEDINFO until the documents are provided...
Comment 10 QA Administrators 2019-03-21 11:12:04 UTC Comment hidden (obsolete)
Comment 11 QA Administrators 2019-05-25 02:58:01 UTC
Dear Mark Coetsee,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-FollowUp